linux-ti-omap4: 2.6.38-1209.26 -proposed tracker

Bug #1047347 reported by Brad Figg on 2012-09-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
Herton R. Krzesinski
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-1209.26 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 07. September 2012 13:00 UTC
kernel-stable-Certification-testing-end:Friday, 07. September 2012 13:16 UTC
kernel-stable-Prepare-package-end:Thursday, 13. September 2012 00:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 13. September 2012 00:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. September 2012 00:17 UTC
kernel-stable-Verification-testing-start:Thursday, 13. September 2012 01:31 UTC
kernel-stable-Security-signoff-start:Thursday, 13. September 2012 03:01 UTC
kernel-stable-Verification-testing-end:Thursday, 13. September 2012 03:01 UTC
kernel-stable-Regression-testing-start:Thursday, 13. September 2012 03:01 UTC
kernel-stable-Regression-testing-end:Thursday, 20. September 2012 17:00 UTC
kernel-stable-Promote-to-updates-start:Friday, 21. September 2012 17:30 UTC
kernel-stable-Security-signoff-end:Friday, 21. September 2012 17:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 21. September 2012 19:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 21. September 2012 19:01 UTC

This tracking bug was opened to be worked from linux-2.6.38-16.67 update (bug 1045383)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-07
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-natty.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 2.6.38-1209.26 -proposed tracker
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-13
description: updated
Brad Figg (brad-figg) on 2012-09-13
description: updated
Herton R. Krzesinski (herton) wrote :

Only CVEs, no verification needed.

Brad Figg (brad-figg) on 2012-09-13
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-20
description: updated
John Johansen (jjohansen) wrote :

The changelog for this kernel is incorrect and causing the tools to fail. Specifically

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3340

CVE-2012-3340 is incorrect, it should be CVE-2012-3430

John Johansen (jjohansen) wrote :

The typo is being fixed manually in the CVE tracker, and the changelog what be fixed for this release

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-21
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.38-1209.26

---------------
linux-ti-omap4 (2.6.38-1209.26) natty-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1047347

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3340
  * KVM: unmap pages from the iommu when slots are removed
    - LP: #987569
    - CVE-2012-2121
  * net: Allow driver to limit number of GSO segments per skb
    - LP: #1037456
    - CVE-2012-3412
  * tcp: do not scale TSO segment size with reordering degree
    - LP: #1037456
    - CVE-2012-3412
  * tcp: Apply device TSO segment limit earlier
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Replace some literal constants with EFX_PAGE_SIZE/EFX_BUF_SIZE
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
  * mm: Hold a file reference in madvise_remove
    - LP: #1042447
    - CVE-2012-3511
 -- Paolo Pisati <email address hidden> Wed, 12 Sep 2012 16:34:28 +0200

Changed in linux-ti-omap4 (Ubuntu Natty):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to both -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers